Subject: bug#17153: Bug report

From: Håkon Løvdal <[email-masked]>
Date: Tue, 1 Apr 2014 14:53:19 +0200

Thanks for the report. Parted version 2.3 is relatively old. The
latest version is 3.1, are you able to reproduce the error with that
version?

On 1 April 2014 00:05, lev abalkin <[email-masked]> wrote:
> Hello there!
>
> After creating a rather small partition on a pendrive (1000KB) I used
> partprobe and got the following:
>
>
> Backtrace has 12 calls on stack:
>   12: /lib/x86_64-linux-gnu/libparted.so.0(ped_assert+0x2e) [0x7fc80e84e2ee]
>   11: /lib/x86_64-linux-gnu/libparted.so.0(+0x3e04d) [0x7fc80e87804d]
>   10: /lib/x86_64-linux-gnu/libparted.so.0(+0x3e43e) [0x7fc80e87843e]
>   9: /lib/x86_64-linux-gnu/libparted.so.0(+0x40c73) [0x7fc80e87ac73]
>   8: /lib/x86_64-linux-gnu/libparted.so.0(ped_disk_add_partition+0x163)
> [0x7fc80e854053]
>   7: /lib/x86_64-linux-gnu/libparted.so.0(+0x3f72b) [0x7fc80e87972b]
>   6: /lib/x86_64-linux-gnu/libparted.so.0(+0x407c3) [0x7fc80e87a7c3]
>   5: /lib/x86_64-linux-gnu/libparted.so.0(ped_disk_new+0x58)
> [0x7fc80e8544f8]
>   4: partprobe() [0x4013a0]
>   3: partprobe(main+0x20e) [0x4011fe]
>   2: /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xfd)
> [0x7fc80d7f4ead]
>   1: partprobe() [0x401249]
> A bug has been detected in GNU Parted.  Refer to the web site of parted
> http://www.gnu.org/software/parted/parted.html for more information of
> what could be useful for bug submitting!  Please email a bug report to
> [email-masked] containing at least the version (2.3) and the
> following message:  Assertion (head_size > 0) at
> ../../../libparted/labels/dos.c:661 in function
> probe_partition_for_geom() failed.
> Abgebrochen
>
> I hope this is helpful in some way. Do you need any more information?
>
> Thanks for all your awsome work so far and all the best for the future!
> A loyal fan and user of GNU software
>
>
>